Index: c/src/exec/rtems/headers/message.h
===================================================================
--- c/src/exec/rtems/headers/message.h	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/headers/message.h	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -40,58 +40,5 @@
 #include <rtems/rtems/attr.h>
 #include <rtems/core/threadq.h>
-
-/*
- *  The following defines the data types needed to manipulate
- *  the contents of message buffers.
- *  Since msgs are variable length we just make a ptr to 1.
- */
-
-typedef struct {
-    unsigned32  size;
-
-#ifndef __cplusplus
-                               /* NOTE:   [0] is gcc specific,
-                                *   but specifically disallowed by ANSI STD C++
-                                * g++ warns about it, so we #ifdef it out to
-                                * get rid of warnings when compiled by g++.
-                                */
-    unsigned32  buffer[0];
-#endif
-
-} Message_queue_Buffer;
-
-/*
- *  The following records define the organization of a message
- *  buffer.
- */
-
-typedef struct {
-  Chain_Node           Node;
-  Message_queue_Buffer Contents;
-}   Message_queue_Buffer_control;
-
-/*
- *  The following records define the control block used to manage
- *  each message queue.
- */
-
-typedef struct {
-  Objects_Control      Object;
-  Thread_queue_Control Wait_queue;
-  rtems_attribute      attribute_set;
-  unsigned32           maximum_pending_messages;
-  unsigned32           number_of_pending_messages;
-  unsigned32           maximum_message_size;
-  Chain_Control        Pending_messages;
-  Message_queue_Buffer *message_buffers;
-  Chain_Control        Inactive_messages;
-}   Message_queue_Control;
-
-/*
- *  The following defines the information control block used to
- *  manage this class of objects.
- */
-
-EXTERN Objects_Information  _Message_queue_Information;
+#include <rtems/core/coremsg.h>
 
 /*
@@ -100,9 +47,27 @@
  *  in a send or urgent fashion.
  */
-
+ 
 typedef enum {
   MESSAGE_QUEUE_SEND_REQUEST   = 0,
   MESSAGE_QUEUE_URGENT_REQUEST = 1
 }  Message_queue_Submit_types;
+
+/*
+ *  The following records define the control block used to manage
+ *  each message queue.
+ */
+
+typedef struct {
+  Objects_Control             Object;
+  rtems_attribute             attribute_set;
+  CORE_message_queue_Control  message_queue;
+}   Message_queue_Control;
+
+/*
+ *  The following defines the information control block used to
+ *  manage this class of objects.
+ */
+
+EXTERN Objects_Information  _Message_queue_Information;
 
 /*
@@ -256,5 +221,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32           *size_p,
+  unsigned32           *size,
   unsigned32            option_set,
   rtems_interval        timeout
@@ -278,59 +243,16 @@
 
 /*
- *  _Message_queue_Copy_buffer
- *
- *  DESCRIPTION:
- *
- *  This routine copies the contents of the source message buffer
- *  to the destination message buffer.
- */
-
-STATIC INLINE void _Message_queue_Copy_buffer (
-  void      *source,
-  void      *destination,
-  unsigned32 size
-);
-
-/*
- *  _Message_queue_Seize
- *
- *  DESCRIPTION:
- *
- *  This routine attempts to receive a message from the_message_queue.
- *  If a message is available or if the RTEMS_NO_WAIT option is enabled in
- *  option_set, then the routine returns.  Otherwise, the calling task
- *  is blocked until a message is available.  If a message is returned
- *  to the task, then buffer will contain its contents.
- */
-
-boolean _Message_queue_Seize(
-  Message_queue_Control *the_message_queue,
-  unsigned32             option_set,
-  void                  *buffer,
-  unsigned32            *size_p
-);
-
-/*
- *  _Message_queue_Flush_support
- *
- *  DESCRIPTION:
- *
- *  This routine flushes all outstanding messages and returns
- *  them to the inactive message chain.
- */
-
-unsigned32 _Message_queue_Flush_support(
-  Message_queue_Control *the_message_queue
-);
-
-/*
  *  _Message_queue_Submit
  *
  *  DESCRIPTION:
  *
- *  This routine provides the common foundation for the
- *  rtems_message_queue_send and rtems_message_queue_urgent directives.
- */
-
+ *  This routine implements the directives rtems_message_queue_send
+ *  and rtems_message_queue_urgent.  It processes a message that is
+ *  to be submitted to the designated message queue.  The message will
+ *  either be processed as a send send message which it will be inserted
+ *  at the rear of the queue or it will be processed as an urgent message
+ *  which will be inserted at the front of the queue.
+ */
+ 
 rtems_status_code _Message_queue_Submit(
   Objects_Id                  id,
@@ -338,74 +260,4 @@
   unsigned32                  size,
   Message_queue_Submit_types  submit_type
-);
-
-/*
- *  _Message_queue_Allocate_message_buffer
- *
- *  DESCRIPTION:
- *
- *  This function allocates a message buffer from the inactive
- *  message buffer chain.
- */
-
-STATIC INLINE Message_queue_Buffer_control *
-  _Message_queue_Allocate_message_buffer (
-   Message_queue_Control *the_message_queue
-);
-
-/*
- *  _Message_queue_Free_message_buffer
- *
- *  DESCRIPTION:
- *
- *  This routine frees a message buffer to the inactive
- *  message buffer chain.
- */
-
-STATIC INLINE void _Message_queue_Free_message_buffer (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-);
-
-/*
- *  _Message_queue_Get_pending_message
- *
- *  DESCRIPTION:
- *
- *  This function removes the first message from the_message_queue
- *  and returns a pointer to it.
- */
-
-STATIC INLINE
-  Message_queue_Buffer_control *_Message_queue_Get_pending_message (
-  Message_queue_Control *the_message_queue
-);
-
-/*
- *  _Message_queue_Append
- *
- *  DESCRIPTION:
- *
- *  This routine places the_message at the rear of the outstanding
- *  messages on the_message_queue.
- */
-
-STATIC INLINE void _Message_queue_Append (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-);
-
-/*
- *  _Message_queue_Prepend
- *
- *  DESCRIPTION:
- *
- *  This routine places the_message at the rear of the outstanding
- *  messages on the_message_queue.
- */
-
-STATIC INLINE void _Message_queue_Prepend (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
 );
 
@@ -470,4 +322,33 @@
 );
 
+/*
+ *  _Message_queue_Translate_core_message_queue_return_code
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns a RTEMS status code based on the core message queue
+ *  status code specified.
+ */
+ 
+rtems_status_code _Message_queue_Translate_core_message_queue_return_code (
+  unsigned32 the_message_queue_status
+);
+
+/*
+ *
+ *  _Message_queue_Core_message_queue_mp_support
+ *
+ *  Input parameters:
+ *    the_thread - the remote thread the message was submitted to
+ *    id         - id of the message queue
+ *
+ *  Output parameters: NONE
+ */
+ 
+void  _Message_queue_Core_message_queue_mp_support (
+  Thread_Control *the_thread,
+  Objects_Id      id
+);
+
 #include <rtems/rtems/message.inl>
 #include <rtems/rtems/msgmp.h>
Index: c/src/exec/rtems/headers/msgmp.h
===================================================================
--- c/src/exec/rtems/headers/msgmp.h	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/headers/msgmp.h	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -64,5 +64,5 @@
   unsigned32                         size;
   unsigned32                         pad0;
-  Message_queue_Buffer               Buffer;
+  CORE_message_queue_Buffer          Buffer;
 }   Message_queue_MP_Packet;
 
Index: c/src/exec/rtems/include/rtems/rtems/message.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/message.h	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/include/rtems/rtems/message.h	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -40,58 +40,5 @@
 #include <rtems/rtems/attr.h>
 #include <rtems/core/threadq.h>
-
-/*
- *  The following defines the data types needed to manipulate
- *  the contents of message buffers.
- *  Since msgs are variable length we just make a ptr to 1.
- */
-
-typedef struct {
-    unsigned32  size;
-
-#ifndef __cplusplus
-                               /* NOTE:   [0] is gcc specific,
-                                *   but specifically disallowed by ANSI STD C++
-                                * g++ warns about it, so we #ifdef it out to
-                                * get rid of warnings when compiled by g++.
-                                */
-    unsigned32  buffer[0];
-#endif
-
-} Message_queue_Buffer;
-
-/*
- *  The following records define the organization of a message
- *  buffer.
- */
-
-typedef struct {
-  Chain_Node           Node;
-  Message_queue_Buffer Contents;
-}   Message_queue_Buffer_control;
-
-/*
- *  The following records define the control block used to manage
- *  each message queue.
- */
-
-typedef struct {
-  Objects_Control      Object;
-  Thread_queue_Control Wait_queue;
-  rtems_attribute      attribute_set;
-  unsigned32           maximum_pending_messages;
-  unsigned32           number_of_pending_messages;
-  unsigned32           maximum_message_size;
-  Chain_Control        Pending_messages;
-  Message_queue_Buffer *message_buffers;
-  Chain_Control        Inactive_messages;
-}   Message_queue_Control;
-
-/*
- *  The following defines the information control block used to
- *  manage this class of objects.
- */
-
-EXTERN Objects_Information  _Message_queue_Information;
+#include <rtems/core/coremsg.h>
 
 /*
@@ -100,9 +47,27 @@
  *  in a send or urgent fashion.
  */
-
+ 
 typedef enum {
   MESSAGE_QUEUE_SEND_REQUEST   = 0,
   MESSAGE_QUEUE_URGENT_REQUEST = 1
 }  Message_queue_Submit_types;
+
+/*
+ *  The following records define the control block used to manage
+ *  each message queue.
+ */
+
+typedef struct {
+  Objects_Control             Object;
+  rtems_attribute             attribute_set;
+  CORE_message_queue_Control  message_queue;
+}   Message_queue_Control;
+
+/*
+ *  The following defines the information control block used to
+ *  manage this class of objects.
+ */
+
+EXTERN Objects_Information  _Message_queue_Information;
 
 /*
@@ -256,5 +221,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32           *size_p,
+  unsigned32           *size,
   unsigned32            option_set,
   rtems_interval        timeout
@@ -278,59 +243,16 @@
 
 /*
- *  _Message_queue_Copy_buffer
- *
- *  DESCRIPTION:
- *
- *  This routine copies the contents of the source message buffer
- *  to the destination message buffer.
- */
-
-STATIC INLINE void _Message_queue_Copy_buffer (
-  void      *source,
-  void      *destination,
-  unsigned32 size
-);
-
-/*
- *  _Message_queue_Seize
- *
- *  DESCRIPTION:
- *
- *  This routine attempts to receive a message from the_message_queue.
- *  If a message is available or if the RTEMS_NO_WAIT option is enabled in
- *  option_set, then the routine returns.  Otherwise, the calling task
- *  is blocked until a message is available.  If a message is returned
- *  to the task, then buffer will contain its contents.
- */
-
-boolean _Message_queue_Seize(
-  Message_queue_Control *the_message_queue,
-  unsigned32             option_set,
-  void                  *buffer,
-  unsigned32            *size_p
-);
-
-/*
- *  _Message_queue_Flush_support
- *
- *  DESCRIPTION:
- *
- *  This routine flushes all outstanding messages and returns
- *  them to the inactive message chain.
- */
-
-unsigned32 _Message_queue_Flush_support(
-  Message_queue_Control *the_message_queue
-);
-
-/*
  *  _Message_queue_Submit
  *
  *  DESCRIPTION:
  *
- *  This routine provides the common foundation for the
- *  rtems_message_queue_send and rtems_message_queue_urgent directives.
- */
-
+ *  This routine implements the directives rtems_message_queue_send
+ *  and rtems_message_queue_urgent.  It processes a message that is
+ *  to be submitted to the designated message queue.  The message will
+ *  either be processed as a send send message which it will be inserted
+ *  at the rear of the queue or it will be processed as an urgent message
+ *  which will be inserted at the front of the queue.
+ */
+ 
 rtems_status_code _Message_queue_Submit(
   Objects_Id                  id,
@@ -338,74 +260,4 @@
   unsigned32                  size,
   Message_queue_Submit_types  submit_type
-);
-
-/*
- *  _Message_queue_Allocate_message_buffer
- *
- *  DESCRIPTION:
- *
- *  This function allocates a message buffer from the inactive
- *  message buffer chain.
- */
-
-STATIC INLINE Message_queue_Buffer_control *
-  _Message_queue_Allocate_message_buffer (
-   Message_queue_Control *the_message_queue
-);
-
-/*
- *  _Message_queue_Free_message_buffer
- *
- *  DESCRIPTION:
- *
- *  This routine frees a message buffer to the inactive
- *  message buffer chain.
- */
-
-STATIC INLINE void _Message_queue_Free_message_buffer (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-);
-
-/*
- *  _Message_queue_Get_pending_message
- *
- *  DESCRIPTION:
- *
- *  This function removes the first message from the_message_queue
- *  and returns a pointer to it.
- */
-
-STATIC INLINE
-  Message_queue_Buffer_control *_Message_queue_Get_pending_message (
-  Message_queue_Control *the_message_queue
-);
-
-/*
- *  _Message_queue_Append
- *
- *  DESCRIPTION:
- *
- *  This routine places the_message at the rear of the outstanding
- *  messages on the_message_queue.
- */
-
-STATIC INLINE void _Message_queue_Append (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-);
-
-/*
- *  _Message_queue_Prepend
- *
- *  DESCRIPTION:
- *
- *  This routine places the_message at the rear of the outstanding
- *  messages on the_message_queue.
- */
-
-STATIC INLINE void _Message_queue_Prepend (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
 );
 
@@ -470,4 +322,33 @@
 );
 
+/*
+ *  _Message_queue_Translate_core_message_queue_return_code
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns a RTEMS status code based on the core message queue
+ *  status code specified.
+ */
+ 
+rtems_status_code _Message_queue_Translate_core_message_queue_return_code (
+  unsigned32 the_message_queue_status
+);
+
+/*
+ *
+ *  _Message_queue_Core_message_queue_mp_support
+ *
+ *  Input parameters:
+ *    the_thread - the remote thread the message was submitted to
+ *    id         - id of the message queue
+ *
+ *  Output parameters: NONE
+ */
+ 
+void  _Message_queue_Core_message_queue_mp_support (
+  Thread_Control *the_thread,
+  Objects_Id      id
+);
+
 #include <rtems/rtems/message.inl>
 #include <rtems/rtems/msgmp.h>
Index: c/src/exec/rtems/include/rtems/rtems/msgmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/msgmp.h	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/include/rtems/rtems/msgmp.h	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -64,5 +64,5 @@
   unsigned32                         size;
   unsigned32                         pad0;
-  Message_queue_Buffer               Buffer;
+  CORE_message_queue_Buffer          Buffer;
 }   Message_queue_MP_Packet;
 
Index: c/src/exec/rtems/inline/message.inl
===================================================================
--- c/src/exec/rtems/inline/message.inl	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/inline/message.inl	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -19,94 +19,4 @@
 
 #include <rtems/core/wkspace.h>
-
-/*PAGE
- *
- *  _Message_queue_Copy_buffer
- *
- */
-
-STATIC INLINE void _Message_queue_Copy_buffer (
-  void      *source,
-  void      *destination,
-  unsigned32 size
-)
-{
-  memcpy(destination, source, size);
-}
-
-/*PAGE
- *
- *  _Message_queue_Allocate_message_buffer
- *
- */
-
-STATIC INLINE Message_queue_Buffer_control *
-_Message_queue_Allocate_message_buffer (
-    Message_queue_Control *the_message_queue
-)
-{
-   return (Message_queue_Buffer_control *)
-     _Chain_Get( &the_message_queue->Inactive_messages );
-}
-
-/*PAGE
- *
- *  _Message_queue_Free_message_buffer
- *
- */
-
-STATIC INLINE void _Message_queue_Free_message_buffer (
-    Message_queue_Control        *the_message_queue,
-    Message_queue_Buffer_control *the_message
-)
-{
-  _Chain_Append( &the_message_queue->Inactive_messages, &the_message->Node );
-}
-
-/*PAGE
- *
- *  _Message_queue_Get_pending_message
- *
- */
-
-STATIC INLINE
-  Message_queue_Buffer_control *_Message_queue_Get_pending_message (
-  Message_queue_Control *the_message_queue
-)
-{
-  return (Message_queue_Buffer_control *)
-    _Chain_Get_unprotected( &the_message_queue->Pending_messages );
-}
-
-/*PAGE
- *
- *  _Message_queue_Append
- *
- */
-
-STATIC INLINE void _Message_queue_Append (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-)
-{
-  _Chain_Append( &the_message_queue->Pending_messages, &the_message->Node );
-}
-
-/*PAGE
- *
- *  _Message_queue_Prepend
- *
- */
-
-STATIC INLINE void _Message_queue_Prepend (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-)
-{
-  _Chain_Prepend(
-    &the_message_queue->Pending_messages,
-    &the_message->Node
-  );
-}
 
 /*PAGE
@@ -134,9 +44,4 @@
 )
 {
-  if (the_message_queue->message_buffers) {
-    _Workspace_Free((void *) the_message_queue->message_buffers);
-    the_message_queue->message_buffers = 0;
-  }
-  
   _Objects_Free( &_Message_queue_Information, &the_message_queue->Object );
 }
Index: c/src/exec/rtems/inline/rtems/rtems/message.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/message.inl	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/inline/rtems/rtems/message.inl	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -19,94 +19,4 @@
 
 #include <rtems/core/wkspace.h>
-
-/*PAGE
- *
- *  _Message_queue_Copy_buffer
- *
- */
-
-STATIC INLINE void _Message_queue_Copy_buffer (
-  void      *source,
-  void      *destination,
-  unsigned32 size
-)
-{
-  memcpy(destination, source, size);
-}
-
-/*PAGE
- *
- *  _Message_queue_Allocate_message_buffer
- *
- */
-
-STATIC INLINE Message_queue_Buffer_control *
-_Message_queue_Allocate_message_buffer (
-    Message_queue_Control *the_message_queue
-)
-{
-   return (Message_queue_Buffer_control *)
-     _Chain_Get( &the_message_queue->Inactive_messages );
-}
-
-/*PAGE
- *
- *  _Message_queue_Free_message_buffer
- *
- */
-
-STATIC INLINE void _Message_queue_Free_message_buffer (
-    Message_queue_Control        *the_message_queue,
-    Message_queue_Buffer_control *the_message
-)
-{
-  _Chain_Append( &the_message_queue->Inactive_messages, &the_message->Node );
-}
-
-/*PAGE
- *
- *  _Message_queue_Get_pending_message
- *
- */
-
-STATIC INLINE
-  Message_queue_Buffer_control *_Message_queue_Get_pending_message (
-  Message_queue_Control *the_message_queue
-)
-{
-  return (Message_queue_Buffer_control *)
-    _Chain_Get_unprotected( &the_message_queue->Pending_messages );
-}
-
-/*PAGE
- *
- *  _Message_queue_Append
- *
- */
-
-STATIC INLINE void _Message_queue_Append (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-)
-{
-  _Chain_Append( &the_message_queue->Pending_messages, &the_message->Node );
-}
-
-/*PAGE
- *
- *  _Message_queue_Prepend
- *
- */
-
-STATIC INLINE void _Message_queue_Prepend (
-  Message_queue_Control        *the_message_queue,
-  Message_queue_Buffer_control *the_message
-)
-{
-  _Chain_Prepend(
-    &the_message_queue->Pending_messages,
-    &the_message->Node
-  );
-}
 
 /*PAGE
@@ -134,9 +44,4 @@
 )
 {
-  if (the_message_queue->message_buffers) {
-    _Workspace_Free((void *) the_message_queue->message_buffers);
-    the_message_queue->message_buffers = 0;
-  }
-  
   _Objects_Free( &_Message_queue_Information, &the_message_queue->Object );
 }
Index: c/src/exec/rtems/macros/message.inl
===================================================================
--- c/src/exec/rtems/macros/message.inl	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/macros/message.inl	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -20,64 +20,4 @@
 /*PAGE
  *
- *  _Message_queue_Copy_buffer
- */
-
-#define _Message_queue_Copy_buffer( _source, _destination, _size ) \
-  memcpy( _destination, _source, _size)
-
-/*PAGE
- *
- *  _Message_queue_Allocate_message_buffer
- *
- */
-
-#define _Message_queue_Allocate_message_buffer( _the_message_queue ) \
-  (Message_queue_Buffer_control *) \
-    _Chain_Get( &(_the_message_queue)->Inactive_messages )
-
-/*PAGE
- *
- *  _Message_queue_Free_message_buffer
- *
- */
-
-#define _Message_queue_Free_message_buffer( _the_message_queue, _the_message ) \
-  _Chain_Append( \
-    &(_the_message_queue)->Inactive_messages, \
-    &(_the_message)->Node \
-  )
-
-/*PAGE
- *
- *  _Message_queue_Get_pending_message
- *
- */
-
-#define _Message_queue_Get_pending_message( _the_message_queue ) \
-   (Message_queue_Buffer_control *) \
-     _Chain_Get_unprotected( &(_the_message_queue)->Pending_messages )
-
-/*PAGE
- *
- *  _Message_queue_Append
- *
- */
-
-#define _Message_queue_Append( _the_message_queue, _the_message ) \
-   _Chain_Append( &(_the_message_queue)->Pending_messages, \
-                  &(_the_message)->Node )
-
-/*PAGE
- *
- *  _Message_queue_Prepend
- *
- */
-
-#define _Message_queue_Prepend( _the_message_queue, _the_message ) \
-   _Chain_Prepend( &(_the_message_queue)->Pending_messages, \
-                   &(_the_message)->Node )
-
-/*PAGE
- *
  *  _Message_queue_Is_null
  *
@@ -94,17 +34,5 @@
 
 #define _Message_queue_Free( _the_message_queue ) \
-  do { \
-    \
-    if ( (_the_message_queue)->message_buffers ) { \
-      _Workspace_Free((void *) (_the_message_queue)->message_buffers); \
-      (_the_message_queue)->message_buffers = 0; \
-    } \
-    \
-    _Objects_Free( \
-      &_Message_queue_Information, \
-      &(_the_message_queue)->Object \
-    ); \
-  } while ( 0 )
-
+  _Objects_Free( &_Message_queue_Information, &(_the_message_queue)->Object )
 
 /*PAGE
Index: c/src/exec/rtems/macros/rtems/rtems/message.inl
===================================================================
--- c/src/exec/rtems/macros/rtems/rtems/message.inl	(revision b3ac6a8dfe10aeaf3a9c59fd145bddfff119480e)
+++ c/src/exec/rtems/macros/rtems/rtems/message.inl	(revision 3652ad356bf13abe0963c992cbbda96476d31609)
@@ -20,64 +20,4 @@
 /*PAGE
  *
- *  _Message_queue_Copy_buffer
- */
-
-#define _Message_queue_Copy_buffer( _source, _destination, _size ) \
-  memcpy( _destination, _source, _size)
-
-/*PAGE
- *
- *  _Message_queue_Allocate_message_buffer
- *
- */
-
-#define _Message_queue_Allocate_message_buffer( _the_message_queue ) \
-  (Message_queue_Buffer_control *) \
-    _Chain_Get( &(_the_message_queue)->Inactive_messages )
-
-/*PAGE
- *
- *  _Message_queue_Free_message_buffer
- *
- */
-
-#define _Message_queue_Free_message_buffer( _the_message_queue, _the_message ) \
-  _Chain_Append( \
-    &(_the_message_queue)->Inactive_messages, \
-    &(_the_message)->Node \
-  )
-
-/*PAGE
- *
- *  _Message_queue_Get_pending_message
- *
- */
-
-#define _Message_queue_Get_pending_message( _the_message_queue ) \
-   (Message_queue_Buffer_control *) \
-     _Chain_Get_unprotected( &(_the_message_queue)->Pending_messages )
-
-/*PAGE
- *
- *  _Message_queue_Append
- *
- */
-
-#define _Message_queue_Append( _the_message_queue, _the_message ) \
-   _Chain_Append( &(_the_message_queue)->Pending_messages, \
-                  &(_the_message)->Node )
-
-/*PAGE
- *
- *  _Message_queue_Prepend
- *
- */
-
-#define _Message_queue_Prepend( _the_message_queue, _the_message ) \
-   _Chain_Prepend( &(_the_message_queue)->Pending_messages, \
-                   &(_the_message)->Node )
-
-/*PAGE
- *
  *  _Message_queue_Is_null
  *
@@ -94,17 +34,5 @@
 
 #define _Message_queue_Free( _the_message_queue ) \
-  do { \
-    \
-    if ( (_the_message_queue)->message_buffers ) { \
-      _Workspace_Free((void *) (_the_message_queue)->message_buffers); \
-      (_the_message_queue)->message_buffers = 0; \
-    } \
-    \
-    _Objects_Free( \
-      &_Message_queue_Information, \
-      &(_the_message_queue)->Object \
-    ); \
-  } while ( 0 )
-
+  _Objects_Free( &_Message_queue_Information, &(_the_message_queue)->Object )
 
 /*PAGE
